FreeMat

- Main Page
- Related Pages

vtkAppendPoints

Section: Visualization Toolkit Infovis Classes

# Usage

vtkAppendPoints is a filter that appends the points and assoicated data of one or more polygonal (vtkPolyData) datasets. This filter can optionally add a new array marking the input index that the point came from.

To create an instance of class vtkAppendPoints, simply invoke its constructor as follows

      obj = vtkAppendPoints

# Methods

The class vtkAppendPoints has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkAppendPoints class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkAppendPoints = obj.NewInstance ()`
- `vtkAppendPoints = obj.SafeDownCast (vtkObject o)`
- `obj.SetInputIdArrayName (string )` - Sets the output array name to fill with the input connection index for each point. This provides a way to trace a point back to a particular input. If this is NULL (the default), the array is not generated.
- `string = obj.GetInputIdArrayName ()` - Sets the output array name to fill with the input connection index for each point. This provides a way to trace a point back to a particular input. If this is NULL (the default), the array is not generated.